/*
 *	Buttons..
 */

#ifndef HR_BUTTONS
#define HR_BUTTONS
extern struct hr_slider{	
	int flags;		
	int x_items;
	int x_visible;
	int x_position;
	int x_minval;
	int *x_valint;
	int y_items;
	int y_visible;
	int y_position;
	int y_minval;
	int *y_valint;
}dummy_slider;

extern struct hr_buttongroup{	
	int flags;		
	int buttons;
	struct hr_button **button;
}dummy_buttongroup;

extern struct hr_button{
	struct hr_button *next;
	int flags;
	struct hr_font   *font;
	struct hr_color  *colors;
	unsigned char *text;
	unsigned char *text2;
	unsigned char *helptext;
	struct hr_bitmap *bitmap;
	struct hr_bitmap *bitmap2;
	struct hr_zone *zone;
	struct hr_window *parent_window;
	int hotkey;
	void *extras;
}dummy_button;


extern struct hr_buttongroup *hr_add_to_group(struct hr_buttongroup *group,
															 struct hr_button *b);
extern struct hr_buttongroup *hr_delete_group(struct hr_buttongroup *group);
extern void hr_shade(int x1,int y1,int x2,int y2,struct hr_color *colors,
							int shadecolor);
extern void hr_value_gadget(int x,int y,int w,int h,int offset,
									 struct hr_font *font,
									 struct hr_color *colors,
									 unsigned char *text,
									 unsigned char *valuetext,int value,int flags);
extern struct hr_button *hr_create_button(int x1,int y1,
														int x2,int y2,
														struct hr_font *font,
														struct hr_color *colors,
														unsigned char *text,
														unsigned char *text2,
														unsigned char hotkey,
														int flags);
extern struct hr_slider *hr_create_slider(int flags,
														int x_items,int x_visible,
														int x_position,int x_minval,
														int *x_valint,
														int y_items,int y_visible,
														int y_position,int y_minval,
														int *y_valint);
extern void hr_clear_button(struct hr_button *b);
extern void hr_slider_bar(struct hr_button *b);
extern void hr_update_button(struct hr_button *p,int mode,void *data);
extern struct hr_button *hr_delete_button(struct hr_button *p);
extern struct hr_button *hr_get_button(int x,int y,int flags);
extern void hr_textbox(int x1,int y1,int x2,int y2,
							  struct hr_font *font,
							  struct hr_color *colors,
							  unsigned char *text,
							  int offset,int len,
							  int flags);
#endif
